<?php
/**
 * Plugin developed based on the Joomla! udpate notification plugin
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Joomla! udpate notification plugin
 *
 * @package		Joomla.Plugin
 * @subpackage	Quickicon.Joomla
 * @since		2.5
 */
class plgQuickiconHikaShopquickicon extends JPlugin
{
	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	public function onGetIcons($context)
	{
		if ($context != $this->params->get('context', 'mod_quickicon') || !include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')) {
			return;
		}

		$text = $this->params->get('displayedtext');
		if(empty($text)) $text = JText::_('HikaShop');

		return array(array(
			'link' => 'index.php?option=com_hikashop',
			'image' => JURI::base().'../media/com_hikashop/images/icons/icon-48-hikashop.png',
			'text' => $text,
			'id' => 'plg_quickicon_hikashopquickicon'
		));
	}
}
